## sagemath 8.4

=== sage/Makefile ===
# Main Makefile for Sage.

# The default target ("all") builds Sage and the whole (HTML) documentation.
#
# Target "build" just builds Sage.
#
# See below for targets to build the documentation in other formats,
# to run various types of test suites, and to remove parts of the build etc.

default: all

all: base-toolchain
	$(MAKE) all-start

build: base-toolchain
	$(MAKE) all-build

start: base-toolchain
	$(MAKE) build-start

sageruntime: base-toolchain
	$(MAKE) all-sageruntime


# The --stop flag below is just a random flag to induce graceful
# breakage with non-GNU versions of make.
# See https://trac.sagemath.org/ticket/24617

# Defer unknown targets to build/make/Makefile
%::
	@if [ -x relocate-once.py ]; then ./relocate-once.py; fi
	$(MAKE) build/make/Makefile --stop
	+build/bin/sage-logger \
		"cd build/make && ./install '$@'" logs/install.log

# If configure was run before, rerun it with the old arguments.
# Otherwise, run configure with argument $PREREQ_OPTIONS.
build/make/Makefile: configure build/make/deps build/pkgs/*/*
	rm -f config.log
	mkdir -p logs/pkgs
	ln -s logs/pkgs/config.log config.log
	@if [ -x config.status ]; then \
		./config.status --recheck && ./config.status; \
	else \
		./configure $$PREREQ_OPTIONS; \
	fi || ( \
		if [ "x$$SAGE_PORT" = x ]; then \
			echo "If you would like to try to build Sage anyway (to help porting),"; \
			echo "export the variable 'SAGE_PORT' to something non-empty."; \
			exit 1; \
		else \
			echo "Since 'SAGE_PORT' is set, we will try to build anyway."; \
		fi; )

# This is used to monitor progress towards Python 3 and prevent
# regressions. The target "build" should be upgraded to reflect the
# level of Python 3 support that is known to work.
buildbot-python3: configure
	./configure --with-python=3
	$(MAKE) build

# Preemptively download all standard upstream source tarballs.
download:
	export SAGE_ROOT=$$(pwd) && \
	export PATH=$$SAGE_ROOT/src/bin:$$PATH && \
	./src/bin/sage-download-upstream

dist: build/make/Makefile
	./sage --sdist

# ssl: build Sage, and also install pyOpenSSL. This is necessary for
# running the secure notebook. This make target requires internet
# access. Note that this requires that your system have OpenSSL
# libraries and headers installed. See README.txt for more
# information.
ssl: all
	./sage -i pyopenssl

misc-clean:
	@echo "Deleting miscellaneous artifacts generated by build system ..."
	rm -rf logs
	rm -rf dist
	rm -rf tmp
	rm -f aclocal.m4 config.log config.status confcache
	rm -rf autom4te.cache
	rm -f build/make/Makefile build/make/Makefile-auto
	rm -f .BUILDSTART

bdist-clean: clean
	$(MAKE) misc-clean

distclean: build-clean
	$(MAKE) misc-clean
	@echo "Deleting all remaining output from build system ..."
	rm -rf local
	rm -f src/bin/sage-env-config

# Delete all auto-generated files which are distributed as part of the
# source tarball
bootstrap-clean:
	rm -rf config configure build/make/Makefile-auto.in

# Remove absolutely everything which isn't part of the git repo
maintainer-clean: distclean bootstrap-clean
	rm -rf upstream

# Remove everything that is not necessary to run Sage and pass all its
# doctests.
micro_release: bdist-clean sagelib-clean
	@echo "Stripping binaries ..."
	LC_ALL=C find local/lib local/bin -type f -exec strip '{}' ';' 2>&1 | grep -v "File format not recognized" |  grep -v "File truncated" || true
	@echo "Removing sphinx artifacts..."
	rm -rf local/share/doc/sage/doctrees local/share/doc/sage/inventory
	@echo "Removing documentation. Inspection in IPython still works."
	rm -rf local/share/doc local/share/*/doc local/share/*/examples local/share/singular/html
	@echo "Removing unnecessary files & directories - make will not be functional afterwards anymore"
	@# We need src/doc/common, src/doc/en/introspect for introspection with "??"
	@# We keep src/sage for some doctests that it expect it to be there and
	@# also because it does not add any weight with rdfind below.
	@# We need src/sage/bin/ for the scripts that invoke Sage
	@# We need sage, the script to start Sage
	@# We need local/, the dependencies and the built Sage library itself.
	@# We keep VERSION.txt.
	@# We keep COPYING.txt so we ship a license with this distribution.
	find . -name . -o -prune ! -name src ! -name sage ! -name local ! -name VERSION.txt ! -name COPYING.txt ! -name build -exec rm -rf \{\} \;
	cd src && find . -name . -o -prune ! -name sage ! -name bin ! -name doc -exec rm -rf \{\} \;
	if command -v rdfind > /dev/null; then \
		echo "Hardlinking identical files."; \
		rdfind -makeresultsfile false -makehardlinks true .; \
	else \
		echo "rdfind not installed. Not hardlinking identical files."; \
	fi

# Leaves everything that is needed to make the next "make" fast but removes
# all the cheap build artifacts that can be quickly regenerated.
fast-rebuild-clean: misc-clean bdist-clean
	rm -rf upstream/
	rm -rf src/build/temp.*
	# Without site-packages/sage sage does not start but copying/compiling
	# them from src/build is very fast.
	rm -rf local/lib/python*/site-packages/sage
	# The .py files in src/build are restored from src/sage without their
	# mtimes changed.
	find src/build -name '*.py' -exec rm \{\} \;

TESTALL = ./sage -t --all
PTESTALL = ./sage -t -p --all

# Flags for ./sage -t --all.
# By default, include all tests marked 'dochtml' -- see
# https://trac.sagemath.org/ticket/25345 and
# https://trac.sagemath.org/ticket/26110.
TESTALL_FLAGS = --optional=sage,dochtml,optional,external

test: all
	$(TESTALL) --logfile=logs/test.log

check: test

testall: all
	$(TESTALL) $(TESTALL_FLAGS) --logfile=logs/testall.log

testlong: all
	$(TESTALL) --long --logfile=logs/testlong.log

testalllong: all
	$(TESTALL) --long $(TESTALL_FLAGS) --logfile=logs/testalllong.log

ptest: all
	$(PTESTALL) --logfile=logs/ptest.log

ptestall: all
	$(PTESTALL) $(TESTALL_FLAGS) --logfile=logs/ptestall.log

ptestlong: all
	$(PTESTALL) --long --logfile=logs/ptestlong.log

ptestalllong: all
	$(PTESTALL) --long $(TESTALL_FLAGS) --logfile=logs/ptestalllong.log

testoptional: all
	$(TESTALL) --logfile=logs/testoptional.log

testoptionallong: all
	$(TESTALL) --long --logfile=logs/testoptionallong.log

ptestoptional: all
	$(PTESTALL) --logfile=logs/ptestoptional.log

ptestoptionallong: all
	$(PTESTALL) --long --logfile=logs/ptestoptionallong.log

configure: configure.ac src/bin/sage-version.sh m4/*.m4
	./bootstrap -d

install: all
	@echo "******************************************************************"
	@echo "The '$@' target is a no-op; 'make' already does 'make install'"
	@echo "You can change the install prefix from its default"
	@echo "(the subdirectory 'local') by using ./configure --prefix=PREFIX"
	@echo "You can also consider using the binary packaging scripts"
	@echo "from https://github.com/sagemath/binary-pkg"
	@echo "******************************************************************"

list:
	@$(MAKE) --silent build/make/Makefile >&2
	@$(MAKE) --silent -f build/make/Makefile SAGE_SPKG_INST=local $@

.PHONY: default build install micro_release \
	misc-clean bdist-clean distclean bootstrap-clean maintainer-clean \
	test check testoptional testall testlong testoptionallong testallong \
	ptest ptestoptional ptestall ptestlong ptestoptionallong ptestallong \
	buildbot-python3 list

=== debian/changelog ===
sagemath (8.4-4build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Jan 2019 10:27:07 +0000

sagemath (8.4-4) unstable; urgency=medium

  * Closes: #918068
  * New (Build-)Depends:
    - gap-primgrp
    - gap-smallgrp
    - gap-transgrp
    - lcalc (>= 1.23+dfsg-9)
  * New patches:
    - u0-gap-trac-26889.patch                    #26889
    - u0-gap-trac-26856.patch                    #26856

 -- Tobias Hansen <thansen@debian.org>  Thu, 03 Jan 2019 11:15:59 +0000

sagemath (8.4-3) unstable; urgency=medium

  * New (Build-)Depends:
    - gap (>= 4r10p0-3) (Closes: #912980)
    - networkx (>= 2.2)
    - gdb
  * Removed (Build-)Depends:
    - libgap-sage
    - libsingular4 (Closes: #912593)
    - gdb-python2 (Closes: #890231)
  * New patches:
    - u0-gap-util.patch
    - u0-version-gap-4.10.patch                  #22626
    - u0-version-networkx-2.2.patch              #26326
    - d0-libgap-path.patch
  * Removed patches:
    - d0-libgap-sage.patch
  * Add lintian overrides for threejs example files with long lines.
  * Allow 90 test failures for 'arch' tests, 10 for 'indep'.
  * Install shlibs.local for libgap.
  * Add lintian override for /usr/lib/*/gap in rpath.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Jan 2019 11:28:59 +0000

sagemath (8.4-2) unstable; urgency=medium

  * Upload to unstable.
  * New (Build-)Depends:
    - libbraiding
    - libhomfly
  * Remove patch:
    - dt-revert-standard-libbraiding-libhomfly.patch

 -- Tobias Hansen <thansen@debian.org>  Sat, 20 Oct 2018 11:41:45 +0200

sagemath (8.4-1) experimental; urgency=medium

  * New upstream release.
  * New (Build-)Depends:
    - brial (>= 1.2.4)
    - cddlib (>= 094j)
    - eclib (>= 20180815)
  * New patches:
    - dt-revert-standard-libbraiding-libhomfly.patch
  * Remove patches (applied upstream):
    - u0-version-singular-4.1.1p2.patch
    - u0-version-cypari2-1.2.1.patch             #25813
    - u0-version-pari-2.11.patch                 #25567
    - u0-version-arb-2.14.patch                  #25966
    - u0-fix-symlink-sage-kernel-spec.patch      #25722
    - d0-pari.patch
    - d0-paths-sharedata.patch
    - dt-r-no-readline.patch
  * Patches with non-trivial modifications:
    - d0-maxima.patch
    - d0-paths.patch
    - d1-install-paths.patch
    - d1-sage-env.patch
    - dt-work-around-doc-common-conf.patch

 -- Tobias Hansen <thansen@debian.org>  Fri, 19 Oct 2018 00:18:23 +0200

=== debian/control ===
## DO NOT EDIT debian/control directly, edit debian/control.in instead
Source: sagemath
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>,
           Julien Puydt <julien.puydt@laposte.net>,
           Jerome Benoit <calculus@rezozer.net>,
           Ximin Luo <infinity0@debian.org>
Standards-Version: 4.2.1
Homepage: http://www.sagemath.org/
Vcs-Git: https://salsa.debian.org/science-team/sagemath.git
Vcs-Browser: https://salsa.debian.org/science-team/sagemath
Build-Depends:
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.28.2),
 ecl (>= 16.1.2),
 ecl (<< 16.1.3),
 eclib-tools (>= 20180815),
 f2c,
 fflas-ffpack (>= 2.3.2),
 flintqs,
 gap-dev (>= 4r10p0-3),
 gap-primgrp,
 gap-smallgrp,
 gap-transgrp,
 gfan (>= 0.6.2),
 gmp-ecm,
 ipython (>= 5.5.0),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-9),
 less,
 libcdd-tools (>= 094j),
 libjs-mathjax,
 libjs-three (>= 80),
 maxima-sage (>= 5.41.0),
 maxima-sage-doc (>= 5.41.0),
 maxima-sage-share (>= 5.41.0),
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.11.0),
 pari-gp (>= 2.11.0),
 pari-galdata,
 pari-seadata,
 python,
 python3,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports.functools-lru-cache,
 python-backports-shutil-get-terminal-size,
 python-brial (>= 1.2.4),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cypari2 (>= 1.2.1),
 python-cysignals-pari (>= 1.6.4),
 python-decorator,
 python-docutils,
 python-enum34,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll (>= 0.4.1),
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib (>= 2.1),
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx (>= 2.2),
 python-numpy (>= 1:1.14),
 python-openid,
 python-packaging,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 1.0.1+ds1-5),
 python-sagenb-export (>= 3.2),
 python-scipy (>= 0.19.1),
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx (>= 1.7),
 python-stemmer,
 python-subprocess32,
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-typing,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zope.interface,
 r-cran-lattice,
 r-base-core,
 rubiks,
 sagemath-database-conway-polynomials (>= 0.5-2),
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.1.1-p2),
 singular (<< 1:4.1.1-p3+ds-1),
 singular-doc (>= 1:4.1.1-p2),
 singular-doc (<< 1:4.1.1-p3+ds-1),
 sqlite3,
 sympow (>= 1.023-9),
 tachyon,
 xcas,
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets (>= 6.0.0),
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 autoconf,
 ccache <pkg.sagemath.ccache>,
 cython-dbg <pkg.sagemath.dbg>,
 debhelper (>= 10),
 dh-python (>= 2.20170125),
 dpkg-dev (>= 1.17.14),
 gdb,
 git,
 gnutls-dev,
 libc6-dbg <pkg.sagemath.dbg>,
 libblas-dev,
 libboost-dev (>= 1.55),
 libbraiding-dev,
 libbrial-dev (>= 1.2.4),
 libbrial-groebner-dev (>= 1.2.4),
 libcdd-dev (>= 094j),
 libcliquer-dev,
 libec-dev (>= 20180815),
 libecm-dev,
 libflint-arb-dev (>= 1:2.13),
 libflint-arb-dev (<< 1:2.15~),
 libflint-dev (>= 2.5.2-5),
 libfplll-dev (>= 5.2.1),
 libfreetype6-dev,
 libgc-dev,
 libgcrypt-dev,
 libgd-dev,
 libgf2x-dev (>= 1.2-4),
 libgiac-dev (>= 1.4.9.69),
 libgivaro-dev (>= 4.0.4),
 libglpk-dev,
 libgmp-dev (>= 2:5.1.2),
 libgpg-error-dev,
 libgsl-dev (>= 2.4+dfsg-5~),
 libhomfly-dev,
 libiml-dev,
 liblapack-dev,
 liblfunction-dev (>= 1.23+dfsg-9),
 liblinboxsage-dev (>= 1.5.2-2),
 liblrcalc-dev (>= 1.2-2),
 libm4ri-dev (>= 20130416),
 libm4rie-dev (>= 20130416),
 libmpc-dev (>=1.0),
 libmpfi-dev,
 libmpfr-dev,
 libntl-dev (>= 9.9.1-2),
# We use Atlas untill upstream has a patch for OpenBLAS 0.3.2, see https://trac.sagemath.org/ticket/26052
# libopenblas-dev (>= 0.2.19) [amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el sparc64] | libatlas-base-dev,
 libatlas-base-dev,
 libpari-dev (>= 2.11.0),
 libplanarity-dev,
 libpng-dev,
 libppl-dev (>= 1:1.1),
 libpynac-dev (>= 0.7.22),
 libratpoints-dev,
 libreadline-dev,
 librw-dev,
 libsingular4-dev (>= 1:4.1.1-p2),
 libsingular4-dev (<< 1:4.1.1-p3+ds-1),
 libsqlite3-dev,
 libsymmetrica-dev,
 libzn-poly-dev,
 pkg-config,
 python-dev,
 python-dbg <pkg.sagemath.dbg>,
 python-cysignals-pari-dbgsym <pkg.sagemath.dbg>,
 python3-dev,
 r-base-dev,
 rdfind,
 scons,
 texlive-latex-base,
 zlib1g-dev,

Package: sagemath
Architecture: any
Multi-Arch: same
Description: Open Source Mathematical Software
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the main SageMath installation.
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.28.2),
 ecl (>= 16.1.2),
 ecl (<< 16.1.3),
 eclib-tools (>= 20180815),
 f2c,
 fflas-ffpack (>= 2.3.2),
 flintqs,
 gap-dev (>= 4r10p0-3),
 gap-primgrp,
 gap-smallgrp,
 gap-transgrp,
 gfan (>= 0.6.2),
 gmp-ecm,
 ipython (>= 5.5.0),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-9),
 less,
 libcdd-tools (>= 094j),
 libjs-mathjax,
 libjs-three (>= 80),
 maxima-sage (>= 5.41.0),
 maxima-sage-doc (>= 5.41.0),
 maxima-sage-share (>= 5.41.0),
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.11.0),
 pari-gp (>= 2.11.0),
 pari-galdata,
 pari-seadata,
 python,
 python3,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports.functools-lru-cache,
 python-backports-shutil-get-terminal-size,
 python-brial (>= 1.2.4),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cypari2 (>= 1.2.1),
 python-cysignals-pari (>= 1.6.4),
 python-decorator,
 python-docutils,
 python-enum34,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll (>= 0.4.1),
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib (>= 2.1),
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx (>= 2.2),
 python-numpy (>= 1:1.14),
 python-openid,
 python-packaging,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 1.0.1+ds1-5),
 python-sagenb-export (>= 3.2),
 python-scipy (>= 0.19.1),
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx (>= 1.7),
 python-stemmer,
 python-subprocess32,
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-typing,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zope.interface,
 r-cran-lattice,
 r-base-core,
 rubiks,
 sagemath-database-conway-polynomials (>= 0.5-2),
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.1.1-p2),
 singular (<< 1:4.1.1-p3+ds-1),
 singular-doc (>= 1:4.1.1-p2),
 singular-doc (<< 1:4.1.1-p3+ds-1),
 sqlite3,
 sympow (>= 1.023-9),
 tachyon,
 xcas,
 sagemath-common (= ${source:Version})
Recommends:
 sagemath-doc-en (= ${source:Version}),
 sagemath-jupyter (= ${source:Version}),
 sagetex,
 texlive-latex-base
Suggests:
 dot2tex,
 gap-design,
 gap-factint,
 gap-grape,
 gap-guava,
 gap-laguna,
 gap-sonata,
 gap-toric

Package: sagemath-common
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - architecture-independent files
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the architecture-independent files of SageMath.
Depends: ${misc:Depends}, ${python:Depends}

Package: sagemath-jupyter
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - Jupyter kernel
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the Jupyter kernel of SageMath.
Depends: ${misc:Depends},
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets (>= 6.0.0),
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 sagemath (>= ${source:Version}), sagemath (<< ${source:Version}.1~)

Package: sagemath-doc-ca
Architecture: all
Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in Catalan; Valencian.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-de
Architecture: all
Description: Open Source Mathematical Software - documentation (German)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in German.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.

=== debian/rules ===
#!/usr/bin/make -f

#
# CONTENTS:
#
# 1. DEFINITIONS
# 2. GENERATE FILES
#    Targets to auto-generate files
# 3. PACKAGE BUILD
#    Mostly standard targets that are used during package build
# 4. TEST SUITE
# 5. MAINTAINER TARGETS
#    Convenience targets to be used by maintainers
#    Some are explained at https://wiki.debian.org/DebianScience/Sage
#

###############################################################################
# 1. DEFINITIONS
###############################################################################

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

MAX_TEST_FAILURES_RERUN = $(shell expr 2 \* $(MAX_TEST_FAILURES))

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NUMJOBS = 1
endif

# Some buildds are a bit slow, see https://buildd.debian.org/status/logs.php?pkg=gcc-7 for a fuller list
ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf mips mipsel mips64el))
export SAGE_TIMEOUT_LONG = 7200
else
export SAGE_TIMEOUT_LONG = 3600
endif

# Use ccache if pkg.sagemath.ccache build-profile is active.
# Your rebuilds will be *much quicker*.
ifneq (,$(filter pkg.sagemath.ccache,$(DEB_BUILD_PROFILES)))
export PATH := /usr/lib/ccache:$(PATH)
export CCACHE_DIR := $(CURDIR)/debian/ccache
export CCACHE_BASEDIR := $(CURDIR)/debian/build
$(shell mkdir -p "$(CCACHE_DIR)")
endif

ifeq (,$(filter pkg.sagemath.nolongcheck,$(DEB_BUILD_PROFILES)))
SAGE_TEST_FLAGS = --long
endif

export SAGE_LOCAL = $(CURDIR)/debian/build/usr
export PYTHONPATH = $(CURDIR)/debian/build/usr/lib/python2.7/dist-packages
export DOT_SAGE = $(CURDIR)/debian/test
export SAGE_SCRIPTS_DIR = $(CURDIR)/sage/src/bin

LANGS = $(shell cd sage/src/doc && find . -mindepth 1 -maxdepth 1 -type d | grep -v common | cut -b3- | LC_ALL=C.UTF-8 LANG=C.UTF-8 sort)
DOCS_INSTALL = $(LANGS:%=debian/sagemath-doc-%.install)
DOCS_CONTROL = $(LANGS:%=debian/sagemath-doc-%.control)
DOCS_DOC_BASE = $(LANGS:%=debian/sagemath-doc-%.doc-base)
DOCS_OVERRIDES = $(LANGS:%=debian/sagemath-doc-%.lintian-overrides)
DOCS_INSTALL_DIRS = $(LANGS:%=debian/sagemath-doc-%)

ifneq (1,$(TRY_AVOID_REBUILD))
REBUILD_RULES = debian/rules
endif

%:
	dh $@ --with=python2,sphinxdoc

###############################################################################
# 2. GENERATE FILES
###############################################################################

binary build clean install: debian/control

debian/control: debian/control.in $(DOCS_CONTROL)
	cat $^ > "$@"
	sed -i -e '/RUNTIME_DEPENDS/ {' -e 'r debian/control.runtime-depends' -e 'd' -e '}' "$@"
	sed -i -e '/JUPYTER_DEPENDS/ {' -e 'r debian/control.jupyter-depends' -e 'd' -e '}' "$@"

debian/sagemath-doc-%.control: debian/sagemath-doc-LANG.control.in $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "$<" > "$@"

debian/sagemath-doc-%.install: debian/sagemath-doc-LANG.install.in $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "$<" > "$@"

debian/sagemath-doc-en.doc-base: debian/sagemath-doc-LANG.doc-base.in $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py en)/g" -e 's/LANG/en/g' -e 's/SUBDIR//g' < "$<" > "$@"

debian/sagemath-doc-ca.doc-base: debian/sagemath-doc-LANG.doc-base.in $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py ca)/g" -e 's/LANG/ca/g' -e 's/SUBDIR/intro\//g' < "$<" > "$@"

debian/sagemath-doc-%.doc-base: debian/sagemath-doc-LANG.doc-base.in $(REBUILD_RULES)
	if [ "$*" = "hu" -o "$*" = "it" -o "$*" = "tr" ]; then \
		sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' -e 's/SUBDIR/a_tour_of_sage\//g' < "$<" > "$@"; \
	else \
		sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' -e 's/SUBDIR/tutorial\//g' < "$<" > "$@"; \
	fi

debian/sagemath-doc-%.lintian-overrides: debian/sagemath-doc-LANG.lintian-overrides.in \
  $(wildcard debian/sagemath-doc-%.lintian-overrides.in) $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "$<" > "$@"
	if [ -f "debian/sagemath-doc-$*.lintian-overrides.in" ]; then \
		sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "debian/sagemath-doc-$*.lintian-overrides.in" >> "$@"; \
	fi

../sagemath_$(DEB_VERSION_UPSTREAM).orig.tar.xz: .git/modules/sage/HEAD
	cd sage && git archive --prefix=sagemath_$(DEB_VERSION_UPSTREAM)/sage/ \
	  --format=tar HEAD | xz -zf > ../../sagemath_$(DEB_VERSION_UPSTREAM).orig.tar.xz

../sagemath_$(DEB_VERSION).dsc: distclean-sage distclean ../sagemath_$(DEB_VERSION_UPSTREAM).orig.tar.xz debian/control
	dpkg-buildpackage -nc -d -uc -us -S

###############################################################################
# 3. PACKAGE BUILD
###############################################################################

prune: debian/control
	cd debian/pruner && autoconf -I m4
	cd debian/pruner && ./configure --with-sage-root="$(CURDIR)/sage"
	cd sage && python ../debian/pruner/pruner.py
	touch prune

run_build = \
	MAKE='make -j$(NUMJOBS)' PREREQ_OPTIONS="--prefix=$(SAGE_LOCAL)" LDFLAGS="-Wl,-rpath,/usr/lib/$(DEB_HOST_MULTIARCH)/gap" \
	  $(MAKE) --directory=sage

override_dh_auto_configure: prune

override_dh_auto_build-arch:
	$(run_build) build
	cd sage && src/bin/sage-starts

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(run_build) doc
endif

override_dh_auto_install:
	rm -rf debian/build/usr/var/tmp/sage/build
# We built .pyo to make the docbuild/tests go faster, but as per Debian policy
# we don't distribute them.
	find debian/build '(' -name '*.pyc' -o -name '*.pyo' ')' -delete
	rm -f debian/build/usr/bin/*.bat
	mkdir -p debian/tmp
	mv debian/build/* debian/tmp
	cp -f debian/adhoc/sage-env debian/tmp/usr/bin/
# Install sage-python23 which is required at runtime but located in build/bin.
	cp -f sage/build/bin/sage-python23  debian/tmp/usr/bin/
# Don't try to rmdir debian/build if it's a mountpoint, useful for doing builds in /run/shm
	mountpoint debian/build || rmdir debian/build

# If we see "nodoc", don't clean the docs. This allows us to rebuild just the
# non-docs without wiping away the docs we previously built, to save time.
override_dh_auto_clean:
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_clean -Dsage -- -k clean sagelib-clean misc-clean bootstrap-clean || true
	rm -rf sage/local sage/upstream
else
	dh_auto_clean -Dsage -- maintainer-clean
endif

override_dh_install-indep: $(DOCS_INSTALL) $(DOCS_DOC_BASE) $(DOCS_OVERRIDES)
	dh_install --package sagemath-common -X.so
	dh_install --remaining-packages --list-missing
# Basic version of deduplicating the docs, for a much smaller install size.
# Upstream bug report is at https://trac.sagemath.org/ticket/22088
# Hard links do work in Debian packages, but only within packages.
	set -e; for d in $(DOCS_INSTALL_DIRS); do \
		rdfind -outputname /dev/null -makehardlinks true "$$d"; \
	done

override_dh_python2-arch:
	dh_python2
	dh_numpy --package sagemath # stop lintian complaining at us

override_dh_shlibdeps:
	dh_shlibdeps -l debian/tmp/usr/lib

override_dh_compress:
# We probably don't need to install the pickle/doctree files but let's exempt
# them from compression anyway for now, so the build goes quicker.
	dh_compress -X.pdf -X.pickle -X.doctree

override_dh_sphinxdoc:
# TODO: fix MathJax.js, Sage needs special treatment
# `man dh_sphinxdoc` says symlinking translations.js is not yet supported
# likewise, it seems not to recognise searchtools.js yet
	dh_sphinxdoc -XMathJax.js -Xtranslations.js -Xsearchtools.js

# If we see "nodoc", don't clean the docs. This allows us to rebuild just the
# non-docs without wiping away the docs we previously built, to save time.
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
# Don't delete my precious docs debhelper! They took a whole fucking hour to build!
preserve_docs = \
	set -e; \
	if [ -d $(2)/usr/share/doc ]; then \
		mkdir -p debian/clean-tmp/usr/share; \
		mv -t debian/clean-tmp/usr/share/ $(2)/usr/share/doc; \
	fi; \

## sagemath 8.6

=== sage/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 # If configure was run before, rerun it with the old arguments.
 # Otherwise, run configure with argument $PREREQ_OPTIONS.
-build/make/Makefile: configure build/make/deps build/pkgs/*/*
+build/make/Makefile: configure build/make/deps build/make/Makefile.in build/pkgs/*/*
 	rm -f config.log
 	mkdir -p logs/pkgs
 	ln -s logs/pkgs/config.log config.log
@@ -84,7 +84,6 @@
 	rm -f aclocal.m4 config.log config.status confcache
 	rm -rf autom4te.cache
 	rm -f build/make/Makefile build/make/Makefile-auto
-	rm -f .BUILDSTART
 
 bdist-clean: clean
 	$(MAKE) misc-clean
@@ -190,7 +189,7 @@
 ptestoptionallong: all
 	$(PTESTALL) --long --logfile=logs/ptestoptionallong.log
 
-configure: configure.ac src/bin/sage-version.sh m4/*.m4
+configure: configure.ac src/bin/sage-version.sh m4/*.m4 build/pkgs/*/spkg-configure.m4
 	./bootstrap -d
 
 install: all

=== debian/changelog ===
sagemath (8.6-6) unstable; urgency=medium

  * New patches:
    - u1-sphinx-1.8-doctest-transform.patch
    - d0-mathjax.patch
  * Update u0-version-sphinx-1.8.patch.
  * Create symlinks to system mathjax to fix math typesetting
    in documentation.
  * Remove (Build-)Depends:
    - python-flask
    - python-flask-autoindex
    - python-flask-babel
    - python-flask-oldsessions
    - python-flask-openid
    - python-flask-silk
  * Move packages from Depends to Recommends of sagemath (they all stay
    Build-Depends):
    - maxima-sage-doc
    - pari-doc
    - python-sagenb-export
    - r-cran-lattice
    - singular-doc
  * Fix 'sage --version'. (Closes: #923166)

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Mar 2019 02:54:33 +0000

sagemath (8.6-5) unstable; urgency=medium

  * New patches:
    - d0-threejs-default-in-notebooks.patch
      Makes threejs the default 3D viewer in the Jupyter and sagenb
      notebooks.
    - u1-pkgconfig-extra-link-flags.patch (Closes: #919573)
  * Update u0-version-sphinx-1.8.patch.
  * Exclude all png's from dh_strip_nondeterminism.

 -- Tobias Hansen <thansen@debian.org>  Thu, 07 Feb 2019 06:51:46 +0000

sagemath (8.6-4) unstable; urgency=medium

  [ Ximin Luo ]
  * Add Rules-Requires-Root: no, avoid using fakeroot.

  [ Tobias Hansen ]
  * Install a desktop file to start the Jupyter notebook.
  * New (Build-)Depends:
    - python-sphinx (>= 1.8) (Closes: #920989)
  * Remove (Build-)Depends:
    - gnutls-dev
    - libblas-dev
    - libgcrypt-dev
    - python3-dev
    - scons
    - f2c
    - octave
    - python-crypto
    - python-gd
    - python-gnutls
    - python-jsonschema
    - python-moinmoin
    - python-ply
    - python-tk
  * Adjust two trivial test fixes.
  * New patches:
    - u0-version-sphinx-1.8-dependency.patch     #26949
    - u0-version-sphinx-1.8.patch                #26451
  * Don't install sage-env-config. (Closes: #918990)

 -- Tobias Hansen <thansen@debian.org>  Thu, 31 Jan 2019 15:35:11 +0000

sagemath (8.6-3) unstable; urgency=medium

  [ Tobias Hansen ]
  * New (Build-)Depends:
    - gap-online-help
    - gap-atlasrep
    - gap-table-of-marks
    - libopenblas-dev (on supported architectures)
  * Remove (Build-)Depends:
    - libatlas-base-dev (on openblas supported architectures)
    - liblapack-dev
  * Allow up to 50 test failures.
  * Run tests with appropriate --optional flag.

  [ E. Madison Bray ]
  * New patch: u2-libgap-symbol-loading.patch

 -- Tobias Hansen <thansen@debian.org>  Thu, 24 Jan 2019 08:52:42 +0000

sagemath (8.6-2) unstable; urgency=medium

  * New (Build-)Depends:
    - ecl (>= 16.1.3)
    - maxima-sage (>= 5.41.0+ds-3)
  * New patches:
    - u0-version-ecl-16.1.3.patch                #22191
  * Don't run dh_strip_nondeterminism on sageicon.png to avoid error.

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Jan 2019 17:33:43 +0000

sagemath (8.6-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * New (Build-)Depends:
    - cysignals (>= 1.8.1)
    - libpynac-dev (>= 0.7.23)
    - python-sphinx (<< 1.8~)
  * New patches:
    - u0-version-numpy-1.16-inline-fortran.patch #27061
  * Remove patches (applied upstream):
    - u0-version-networkx-2.2.patch              #26326
  * Fix path to sage in Jupyter kernel spec. (Closes: #918993)

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Jan 2019 00:25:58 +0100

sagemath (8.6~rc0-1) experimental; urgency=medium

  * New upstream release.
  * New (Build-)Depends:
    - cython (>= 0.29.1)
    - lcalc (>= 1.23+dfsg-10)
    - libflint-arb-dev (>= 1:2.15)
    - python-cypari2 (>= 1.3.1)
  * Remove patches (applied upstream):
    - u0-gap-util.patch
    - u0-version-gap-4.10.patch                  #22626
    - u0-version-numpy-1.14.3.patch              #25260
    - u0-gap-trac-26889.patch                    #26889
    - u0-gap-trac-26856.patch                    #26856
    - u1-fix-mkdirs-sage-kernel-spec.patch       #26176
    - u2-version-r-3.5.1-incomplete.patch        #26185

 -- Tobias Hansen <thansen@debian.org>  Sun, 06 Jan 2019 12:19:11 +0000

=== debian/control ===
--- 
+++ 
@@ -7,45 +7,43 @@
            Julien Puydt <julien.puydt@laposte.net>,
            Jerome Benoit <calculus@rezozer.net>,
            Ximin Luo <infinity0@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.sagemath.org/
 Vcs-Git: https://salsa.debian.org/science-team/sagemath.git
 Vcs-Browser: https://salsa.debian.org/science-team/sagemath
+Rules-Requires-Root: no
 Build-Depends:
- cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
- cython (>= 0.28.2),
- ecl (>= 16.1.2),
- ecl (<< 16.1.3),
+ cysignals-tools (>= 1.8.1) <!nodoc>,
+ cython (>= 0.29.1),
+ ecl (>= 16.1.3),
  eclib-tools (>= 20180815),
- f2c,
  fflas-ffpack (>= 2.3.2),
  flintqs,
  gap-dev (>= 4r10p0-3),
+ gap-online-help,
+ gap-atlasrep,
  gap-primgrp,
  gap-smallgrp,
  gap-transgrp,
+ gap-table-of-marks,
  gfan (>= 0.6.2),
  gmp-ecm,
  ipython (>= 5.5.0),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-9),
+ lcalc (>= 1.23+dfsg-10),
  less,
  libcdd-tools (>= 094j),
  libjs-mathjax,
  libjs-three (>= 80),
- maxima-sage (>= 5.41.0),
- maxima-sage-doc (>= 5.41.0),
- maxima-sage-share (>= 5.41.0),
+ maxima-sage (>= 5.41.0+ds-3),
+ maxima-sage-share (>= 5.41.0+ds-3),
  nauty,
- octave,
  palp (>= 2.1-2),
- pari-doc (>= 2.11.0),
  pari-gp (>= 2.11.0),
  pari-galdata,
  pari-seadata,
  python,
- python3,
  python-alabaster,
  python-babel,
  python-backports-abc,
@@ -53,32 +51,21 @@
  python-backports-shutil-get-terminal-size,
  python-brial (>= 1.2.4),
  python-configparser,
- python-crypto,
  python-cvxopt,
  python-cycler,
- python-cypari2 (>= 1.2.1),
- python-cysignals-pari (>= 1.6.4),
+ python-cypari2 (>= 1.3.1),
+ python-cysignals-pari (>= 1.8.1),
  python-decorator,
  python-docutils,
  python-enum34,
- python-flask,
- python-flask-autoindex,
- python-flask-babel,
- python-flask-oldsessions,
- python-flask-openid,
- python-flask-silk,
  python-fpylll (>= 0.4.1),
  python-functools32,
  python-future,
- python-gd,
- python-gnutls,
  python-imagesize,
  python-ipython-genutils,
  python-itsdangerous,
- python-jsonschema,
  python-matplotlib (>= 2.1),
  python-mistune,
- python-moinmoin,
  python-mpmath,
  python-networkx (>= 2.2),
  python-numpy (>= 1:1.14),
@@ -91,26 +78,23 @@
  python-pil,
  python-pip,
  python-pkgconfig,
- python-ply,
  python-prompt-toolkit,
  python-psutil,
  python-ptyprocess,
  python-pygments,
  python-rpy2,
  python-sagenb (>= 1.0.1+ds1-5),
- python-sagenb-export (>= 3.2),
  python-scipy (>= 0.19.1),
  python-setuptools,
  python-setuptools-scm,
  python-simplegeneric,
  python-singledispatch,
  python-snowballstemmer,
- python-sphinx (>= 1.7),
+ python-sphinx (>= 1.8),
  python-stemmer,
  python-subprocess32,
  python-sympy,
  python-terminado,
- python-tk,
  python-tornado,
  python-traitlets,
  python-twisted,
@@ -121,7 +105,6 @@
  python-werkzeug,
  python-zmq,
  python-zope.interface,
- r-cran-lattice,
  r-base-core,
  rubiks,
  sagemath-database-conway-polynomials (>= 0.5-2),
@@ -131,12 +114,16 @@
  sagemath-database-polytopes,
  singular (>= 1:4.1.1-p2),
  singular (<< 1:4.1.1-p3+ds-1),
- singular-doc (>= 1:4.1.1-p2),
- singular-doc (<< 1:4.1.1-p3+ds-1),
  sqlite3,
  sympow (>= 1.023-9),
  tachyon,
  xcas,
+ maxima-sage-doc (>= 5.41.0+ds-3),
+ pari-doc (>= 2.11.0),
+ python-sagenb-export (>= 3.2),
+ r-cran-lattice,
+ singular-doc (>= 1:4.1.1-p2),
+ singular-doc (<< 1:4.1.1-p3+ds-1),
  jupyter-client,
  jupyter-core,
  jupyter-nbextension-jupyter-js-widgets,
@@ -153,9 +140,7 @@
  dpkg-dev (>= 1.17.14),
  gdb,
  git,
- gnutls-dev,
  libc6-dbg <pkg.sagemath.dbg>,
- libblas-dev,
  libboost-dev (>= 1.55),
  libbraiding-dev,
  libbrial-dev (>= 1.2.4),
@@ -164,13 +149,11 @@
  libcliquer-dev,
  libec-dev (>= 20180815),
  libecm-dev,
- libflint-arb-dev (>= 1:2.13),
- libflint-arb-dev (<< 1:2.15~),
+ libflint-arb-dev (>= 1:2.15),
  libflint-dev (>= 2.5.2-5),
  libfplll-dev (>= 5.2.1),
  libfreetype6-dev,
  libgc-dev,
- libgcrypt-dev,
  libgd-dev,
  libgf2x-dev (>= 1.2-4),
  libgiac-dev (>= 1.4.9.69),
@@ -181,8 +164,7 @@
  libgsl-dev (>= 2.4+dfsg-5~),
  libhomfly-dev,
  libiml-dev,
- liblapack-dev,
- liblfunction-dev (>= 1.23+dfsg-9),
+ liblfunction-dev (>= 1.23+dfsg-10),
  liblinboxsage-dev (>= 1.5.2-2),
  liblrcalc-dev (>= 1.2-2),
  libm4ri-dev (>= 20130416),
@@ -191,14 +173,12 @@
  libmpfi-dev,
  libmpfr-dev,
  libntl-dev (>= 9.9.1-2),
-# We use Atlas untill upstream has a patch for OpenBLAS 0.3.2, see https://trac.sagemath.org/ticket/26052
-# libopenblas-dev (>= 0.2.19) [amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el sparc64] | libatlas-base-dev,
- libatlas-base-dev,
+ libopenblas-dev (>= 0.2.19) [amd64 arm64 armhf i386 mips64el ppc64el s390x kfreebsd-amd64 kfreebsd-i386 ppc64 sparc64] | libatlas-base-dev,
  libpari-dev (>= 2.11.0),
  libplanarity-dev,
  libpng-dev,
  libppl-dev (>= 1:1.1),
- libpynac-dev (>= 0.7.22),
+ libpynac-dev (>= 0.7.23),
  libratpoints-dev,
  libreadline-dev,
  librw-dev,
@@ -211,10 +191,8 @@
  python-dev,
  python-dbg <pkg.sagemath.dbg>,
  python-cysignals-pari-dbgsym <pkg.sagemath.dbg>,
- python3-dev,
  r-base-dev,
  rdfind,
- scons,
  texlive-latex-base,
  zlib1g-dev,
 
@@ -233,40 +211,37 @@
  .
  This package contains the main SageMath installation.
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
- cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
- cython (>= 0.28.2),
- ecl (>= 16.1.2),
- ecl (<< 16.1.3),
+ cysignals-tools (>= 1.8.1) <!nodoc>,
+ cython (>= 0.29.1),
+ ecl (>= 16.1.3),
  eclib-tools (>= 20180815),
- f2c,
  fflas-ffpack (>= 2.3.2),
  flintqs,
  gap-dev (>= 4r10p0-3),
+ gap-online-help,
+ gap-atlasrep,
  gap-primgrp,
  gap-smallgrp,
  gap-transgrp,
+ gap-table-of-marks,
  gfan (>= 0.6.2),
  gmp-ecm,
  ipython (>= 5.5.0),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-9),
+ lcalc (>= 1.23+dfsg-10),
  less,
  libcdd-tools (>= 094j),
  libjs-mathjax,
  libjs-three (>= 80),
- maxima-sage (>= 5.41.0),
- maxima-sage-doc (>= 5.41.0),
- maxima-sage-share (>= 5.41.0),
+ maxima-sage (>= 5.41.0+ds-3),
+ maxima-sage-share (>= 5.41.0+ds-3),
  nauty,
- octave,
  palp (>= 2.1-2),
- pari-doc (>= 2.11.0),
  pari-gp (>= 2.11.0),
  pari-galdata,
  pari-seadata,
  python,
- python3,
  python-alabaster,
  python-babel,
  python-backports-abc,
@@ -274,32 +249,21 @@
  python-backports-shutil-get-terminal-size,
  python-brial (>= 1.2.4),
  python-configparser,
- python-crypto,
  python-cvxopt,
  python-cycler,
- python-cypari2 (>= 1.2.1),
- python-cysignals-pari (>= 1.6.4),
+ python-cypari2 (>= 1.3.1),
+ python-cysignals-pari (>= 1.8.1),
  python-decorator,
  python-docutils,
  python-enum34,
- python-flask,
- python-flask-autoindex,
- python-flask-babel,
- python-flask-oldsessions,
- python-flask-openid,
- python-flask-silk,
  python-fpylll (>= 0.4.1),
  python-functools32,
  python-future,
- python-gd,
- python-gnutls,
  python-imagesize,
  python-ipython-genutils,
  python-itsdangerous,
- python-jsonschema,
  python-matplotlib (>= 2.1),
  python-mistune,
- python-moinmoin,
  python-mpmath,
  python-networkx (>= 2.2),
  python-numpy (>= 1:1.14),
@@ -312,26 +276,23 @@
  python-pil,
  python-pip,
  python-pkgconfig,
- python-ply,
  python-prompt-toolkit,
  python-psutil,
  python-ptyprocess,
  python-pygments,
  python-rpy2,
  python-sagenb (>= 1.0.1+ds1-5),
- python-sagenb-export (>= 3.2),
  python-scipy (>= 0.19.1),
  python-setuptools,
  python-setuptools-scm,
  python-simplegeneric,
  python-singledispatch,
  python-snowballstemmer,
- python-sphinx (>= 1.7),
+ python-sphinx (>= 1.8),
  python-stemmer,
  python-subprocess32,
  python-sympy,
  python-terminado,
- python-tk,
  python-tornado,
  python-traitlets,
  python-twisted,
@@ -342,7 +303,6 @@
  python-werkzeug,
  python-zmq,
  python-zope.interface,
- r-cran-lattice,
  r-base-core,
  rubiks,
  sagemath-database-conway-polynomials (>= 0.5-2),
@@ -352,14 +312,18 @@
  sagemath-database-polytopes,
  singular (>= 1:4.1.1-p2),
  singular (<< 1:4.1.1-p3+ds-1),
- singular-doc (>= 1:4.1.1-p2),
- singular-doc (<< 1:4.1.1-p3+ds-1),
  sqlite3,
  sympow (>= 1.023-9),
  tachyon,
  xcas,
  sagemath-common (= ${source:Version})
 Recommends:
+ maxima-sage-doc (>= 5.41.0+ds-3),
+ pari-doc (>= 2.11.0),
+ python-sagenb-export (>= 3.2),
+ r-cran-lattice,
+ singular-doc (>= 1:4.1.1-p2),
+ singular-doc (<< 1:4.1.1-p3+ds-1),
  sagemath-doc-en (= ${source:Version}),
  sagemath-jupyter (= ${source:Version}),
  sagetex,
@@ -452,3 +416,18 @@
  Note that the package for English documentation (sagemath-doc-en) contains far
  more documentation than any of the other languages. So if you're finding this
  package lacking in content, then you could try that one as well.
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
+
+Package: sagemath-doc-en
+Architecture: all
+Description: Open Source Mathematical Software - documentation (English)
+ SageMath is a free open-source mathematics software system licensed under the
+ GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
+ matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
+ power through a common, Python-based language or directly via interfaces or
+ wrappers.
+ .
+ Mission: Creating a viable free open source alternative to Magma, Maple,
+ Mathematica and Matlab.
+ .

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,11 @@
 endif
 
 ifeq (,$(filter pkg.sagemath.nolongcheck,$(DEB_BUILD_PROFILES)))
-SAGE_TEST_FLAGS = --long
+SAGE_TEST_FLAGS_ARCH = --optional=sage,python2,memlimit --long
+SAGE_TEST_FLAGS_INDEP = --optional=sage,python2,memlimit,dochtml --long
+else
+SAGE_TEST_FLAGS_ARCH = --optional=sage,python2,memlimit
+SAGE_TEST_FLAGS_INDEP = --optional=sage,python2,memlimit,dochtml
 endif
 
 export SAGE_LOCAL = $(CURDIR)/debian/build/usr
@@ -77,6 +81,7 @@
 debian/control: debian/control.in $(DOCS_CONTROL)
 	cat $^ > "$@"
 	sed -i -e '/RUNTIME_DEPENDS/ {' -e 'r debian/control.runtime-depends' -e 'd' -e '}' "$@"
+	sed -i -e '/RUNTIME_RECOMMENDS/ {' -e 'r debian/control.runtime-recommends' -e 'd' -e '}' "$@"
 	sed -i -e '/JUPYTER_DEPENDS/ {' -e 'r debian/control.jupyter-depends' -e 'd' -e '}' "$@"
 
 debian/sagemath-doc-%.control: debian/sagemath-doc-LANG.control.in $(REBUILD_RULES)
@@ -135,6 +140,9 @@
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(run_build) doc
+	cd debian/build/usr/share/doc/sagemath/html && \
+	for statdir in */*/_static; do ln -s /usr/share/javascript/mathjax "$$statdir"; done && \
+	for statdir in */_static; do ln -s /usr/share/javascript/mathjax "$$statdir"; done
 endif
 
 override_dh_auto_install:
@@ -148,6 +156,13 @@
 	cp -f debian/adhoc/sage-env debian/tmp/usr/bin/
 # Install sage-python23 which is required at runtime but located in build/bin.
 	cp -f sage/build/bin/sage-python23  debian/tmp/usr/bin/
+# Don't install sage-env-config.
+	rm -f debian/tmp/usr/bin/sage-env-config
+# Install (renamed) icons.
+	mkdir -p debian/tmp/usr/share/icons/hicolor/64x64/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/scalable/apps
+	cp -f sage/src/ext/notebook-ipython/logo-64x64.png debian/tmp/usr/share/icons/hicolor/64x64/apps/sagemath.png
+	cp -f sage/src/ext/notebook-ipython/logo.svg debian/tmp/usr/share/icons/hicolor/scalable/apps/sagemath.svg
 # Don't try to rmdir debian/build if it's a mountpoint, useful for doing builds in /run/shm
 	mountpoint debian/build || rmdir debian/build
 
@@ -175,27 +190,3 @@
 	dh_python2
 	dh_numpy --package sagemath # stop lintian complaining at us
 
-override_dh_shlibdeps:
-	dh_shlibdeps -l debian/tmp/usr/lib
-
-override_dh_compress:
-# We probably don't need to install the pickle/doctree files but let's exempt
-# them from compression anyway for now, so the build goes quicker.
-	dh_compress -X.pdf -X.pickle -X.doctree
-
-override_dh_sphinxdoc:
-# TODO: fix MathJax.js, Sage needs special treatment
-# `man dh_sphinxdoc` says symlinking translations.js is not yet supported
-# likewise, it seems not to recognise searchtools.js yet
-	dh_sphinxdoc -XMathJax.js -Xtranslations.js -Xsearchtools.js
-
-# If we see "nodoc", don't clean the docs. This allows us to rebuild just the
-# non-docs without wiping away the docs we previously built, to save time.
-ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-# Don't delete my precious docs debhelper! They took a whole fucking hour to build!
-preserve_docs = \
-	set -e; \
-	if [ -d $(2)/usr/share/doc ]; then \
-		mkdir -p debian/clean-tmp/usr/share; \
-		mv -t debian/clean-tmp/usr/share/ $(2)/usr/share/doc; \
-	fi; \
